> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate a card with card info.

> Validate a card with it's product id, last 6 digits, expiry date.



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /cards/validate-card-info
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /cards/validate-card-info:
    post:
      tags:
        - Cards
      summary: Validate a card with card info.
      description: Validate a card with it's product id, last 6 digits, expiry date.
      operationId: VerifyCardInfo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - productId
                - last6
                - expiryMonth
                - expiryYear
              properties:
                productId:
                  type: string
                  example: 32
                  description: The `productId` field specifies the card product id.
                last6:
                  type: string
                  example: 436634
                  description: The last 6 digits of the card number.
                expiryMonth:
                  type: string
                  example: 12
                  description: The expiry month of a card.
                expiryYear:
                  type: string
                  example: 2026
                  description: The expiry year of a card.
      responses:
        '200':
          description: Card validation result
          content:
            application/json:
              schema:
                type: object
                required:
                  - valid
                properties:
                  status:
                    example: pending-issue
                    description: Status of card (if found)
                    enum:
                      - active
                      - pending-issue
                      - pending-activation
                      - locked
                      - suspended
                      - cancelled
                  valid:
                    type: boolean
                    example: true
                    description: Card validation result, possible value is true or false.
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````